﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=9.1
@EndOfDesignText@
' *#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*
' 
' B4X Sessions library started by ThRuST August 2, 2021.
' Please continue my work and add your name, date and notes to the history log.
' Original forum Post: https://www.b4x.com/android/forum/threads/poststring-with-php-session-variables.133084
' Remove the GUI and compile it to a library of just add the module B4XSessions to your project to use it.

' HISTORY LOG (Don't forget to update library version below and in Main #Region Project Attributes for the B)
' Current version: v0.1
' -----------
' User				Date				Notes
' ThRuST			2021-08-02			Started coding on B4X Sessions :-)
' 
' 
' 
' 
' 


' *#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*


'Static code module
Sub Process_Globals
	
	Private fx As JFX
	Private Tal1, Tal2, Tal3, Tal4, Tal5, Tal6, Tal7, Tal8 As Int
	
	Public UID As String
	Public CookiePath As String = "https://www.mydomain.com/cookies/"
	
End Sub

' Generates a unique User Identification number.
' Usage: B4XSessions.GenerateUID(DestinationString)
' Access current UID from Public string variable B4XSessions.UID
Public Sub GenerateUID (x As String)
	
	Tal1  = Rnd(10000, 99999999999)
	Tal2  = Rnd(10000, 99999999999)
	Tal3  = Rnd(10000, 99999999999)
	Tal4  = Rnd(10000, 99999999999)
	Tal5  = Rnd(10000, 99999999999)
	Tal6  = Rnd(10000, 99999999999)
	Tal7  = Rnd(10000, 99999999999)
	Tal8  = Rnd(10000, 99999999999)
 
	UID = Tal1 & Tal2 & Tal3 & Tal4 & Tal5 & Tal6 & Tal7 & Tal8
 
 	' You might want to disable Log block below as it's for debug usage only.
 	Log("-------------------")
	Log("New generated UID:")
	Log(UID)
 
	Return UID
 
End Sub

' Returns the Domain path to B4X session cookies.
' Usage B4XSessions.DomainPath(DestinationString)
Public Sub DomainPath (x As String)
	
	Return CookiePath
	
End Sub

' Creates a session cookie on the server by calling online PHP script.
' Usage: B4XSessions.SETSession
Public Sub SETSession
	' Create the UID file on the server PHP call script from here.
	' ...
End Sub

' Removes a session cookie on the server by calling online PHP script.
' Usage: B4XSessions.UnsetSession
Public Sub UnsetSession
	' Remove the UID file on the server PHP call script from here.
	' ...
End Sub

